commit:     a570e7a151e4522049ed656eddd1220443fda2b1
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 15 07:39:52 2015 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Thu Oct 15 07:57:37 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a570e7a1

dev-python/oslo-rootwrap: accidently removed an ebuild

Package-Manager: portage-2.2.20.1
RepoMan-Options: --force

 dev-python/oslo-rootwrap/Manifest                  |  1 +
 .../oslo-rootwrap/oslo-rootwrap-1.6.0.ebuild       | 44 ++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/oslo-rootwrap/Manifest 
b/dev-python/oslo-rootwrap/Manifest
index 19e0be1..e7552ac 100644
--- a/dev-python/oslo-rootwrap/Manifest
+++ b/dev-python/oslo-rootwrap/Manifest
@@ -1,3 +1,4 @@
 DIST oslo.rootwrap-1.2.0.tar.gz 21838 SHA256 
95dcb20ebeb5a178fa25e7815d3a17e0cbd92c5eaf0b6e9e677c1eadd2c5fc22 SHA512 
868a0ca97049ca2d750b7d52401a1e87efcfefb170e8dea4768b2e75e60f01d797181421c93e1aa1166d44e5ef8abceecc69c267a249706cf8ba05bb5c21f872
 WHIRLPOOL 
34a0728d6e93fd27c474a9234f73ddc6d0e2762917222ea5b847251f8ae52329a02de4e29987cb9a867596cb8a43b34a80d20f9bc391090785d785863eec11f5
 DIST oslo.rootwrap-1.3.0.tar.gz 37576 SHA256 
42081a30779be0a8e33ee53f4e1235c17080278c4285505a6b65243740aab629 SHA512 
256b2da73818ff7b7c02a0fbfaa90f9c93877e1f5f1ec15b2f68af6c90169fde639bb6334d2eae352cbd80a3006f6de472843bf7e499d96eb056b6d57077ca56
 WHIRLPOOL 
4b05d567bc2ce63f6da9f144de91246ab9d6857b388f75bbb80fc529339eda1be4b485c057249e4a67fdd5702f2474fb2010f8b4155053cd607ce18df4f64533
+DIST oslo.rootwrap-1.6.0.tar.gz 48419 SHA256 
5fe6d1619a5306f9181899c7cc5251ba5a0de0d3c60f85b2172a2f7d400a4962 SHA512 
89f6615f87e9d45e7810157a07df3f8ceeab5f7b6826bc16256294eb9c6031cf6c5c698d92816f31e160d1f5bb98b7564cbf54079b0370ec47b9dbe83c3c2b0f
 WHIRLPOOL 
4109b2e393b41c70e7e94f9f71674b6ea8dc6ae369cfe094f31a3372d049355f690f5bcf2a90804b5f1a0d02560d798471b855c39fcea3b5a577b1f86fba8f10
 DIST oslo.rootwrap-2.4.0.tar.gz 35568 SHA256 
a5ad4ab3379e29db324db93fbfa405501978c7ac582d18cb31fcc7e92bcd219c SHA512 
e9ebce080fad9a5c862602ab78108c4f22bc9988dce2a774614f8223b430a0fdc3a50573eac468dbf3c1a2d178dd372c51e3e30aa3a0ed3a799b6253676eb6e1
 WHIRLPOOL 
95652554eaf4d5b94d9cc949ed435e81819985b42a8a1016f3d43bbb46406353c0fb8f642a7e7bf8b483f7b211a5480d54660fc2d44753417e66e5b0af3d2e6e

diff --git a/dev-python/oslo-rootwrap/oslo-rootwrap-1.6.0.ebuild 
b/dev-python/oslo-rootwrap/oslo-rootwrap-1.6.0.ebuild
new file mode 100644
index 0000000..3f3c734
--- /dev/null
+++ b/dev-python/oslo-rootwrap/oslo-rootwrap-1.6.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="The Oslo Rootwrap allows fine filtering of shell commands to run 
as root from OpenStack services"
+HOMEPAGE="https://pypi.python.org/pypi/oslo.config";
+SRC_URI="mirror://pypi/${PN:0:1}/oslo.rootwrap/oslo.rootwrap-${PV}.tar.gz"
+S="${WORKDIR}/oslo.rootwrap-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/pbr-0.8[${PYTHON_USEDEP}]
+       <dev-python/pbr-1.0[${PYTHON_USEDEP}]
+       test? ( >=dev-python/hacking-0.9.2[${PYTHON_USEDEP}]
+               <dev-python/hacking-0.10[${PYTHON_USEDEP}]
+               >=dev-python/fixtures-0.3.14[${PYTHON_USEDEP}]
+               >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
+               >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+               >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+               >=dev-python/testtools-0.9.36[${PYTHON_USEDEP}]
+               !~dev-python/testtools-1.2.0[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+               !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+               <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+               >=dev-python/oslo-sphinx-2.2.0[${PYTHON_USEDEP}]
+               >=dev-python/oslotest-1.2.0[${PYTHON_USEDEP}]
+               >=dev-python/mock-1.0[${PYTHON_USEDEP}]
+               >=dev-python/eventlet-0.16.1[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}] )"
+RDEPEND=">=dev-python/six-1.9.0[${PYTHON_USEDEP}]"
+
+python_test() {
+       sed -i 's/sbin\/ip/bin\/ip/g' tests/test_rootwrap.py
+       nosetests tests/ || die "test failed under ${EPYTHON}"
+}

Reply via email to